Bug 1577479 - Broken Dependency (deja-dup needs python2-gobject-base)
Summary: Broken Dependency (deja-dup needs python2-gobject-base)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: deja-dup
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 10:37 UTC by Rick
Modified: 2018-05-15 20:00 UTC (History)
7 users (show)

Fixed In Version: deja-dup-37.1-5.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 20:00:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Rick 2018-05-12 10:37:51 UTC
Description of problem:

unable to upgrade deja-dup, deja-dup-nautilus, and duplicity because python2-gobject-base is unavailable.


Version-Release number of selected component (if applicable):

deja-dup-37.1-4.fc26.x86_64
duplicity-0.7.17-2.fc26.x86_64
deja-dup-37.1-4.fc26.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. dnf upgrade
2.
3.

Actual results:

# dnf upgrade
Last metadata expiration check: 0:56:30 ago on Sat 12 May 2018 11:22:47 AM CEST.
Dependencies resolved.

 Problem 1: cannot install the best update candidate for package deja-dup-37.1-1.fc26.x86_64
  - nothing provides python2-gobject-base needed by deja-dup-37.1-4.fc26.x86_64
 Problem 2: cannot install the best update candidate for package duplicity-0.7.16-1.fc26.x86_64
  - nothing provides python2-dropbox needed by duplicity-0.7.17-2.fc26.x86_64
 Problem 3: package deja-dup-nautilus-37.1-4.fc26.x86_64 requires deja-dup(x86-64) = 37.1-4.fc26, but none of the providers can be installed
  - cannot install the best update candidate for package deja-dup-nautilus-37.1-1.fc26.x86_64
  - nothing provides python2-gobject-base needed by deja-dup-37.1-4.fc26.x86_64
================================================================================================================================================================================================
 Package                                             Arch                                     Version                                           Repository                                 Size
================================================================================================================================================================================================
Skipping packages with broken dependencies:
 deja-dup                                            x86_64                                   37.1-4.fc26                                       updates                                   1.0 M
 deja-dup-nautilus                                   x86_64                                   37.1-4.fc26                                       updates                                    24 k
 duplicity                                           x86_64                                   0.7.17-2.fc26                                     updates                                   557 k

Transaction Summary
================================================================================================================================================================================================
Skip  3 Packages

Nothing to do.
Complete!


Expected results:

All packages upgraded normally.

Additional info:

Perhaps dependency "python-gobject-base" was intended instead of "python2-gobject-base"?

Comment 1 Rick 2018-05-12 10:43:35 UTC
(In reply to Rick from comment #0)
> Description of problem:
> 
> unable to upgrade deja-dup, deja-dup-nautilus, and duplicity because
> python2-gobject-base is unavailable.
> 
> 
> Version-Release number of selected component (if applicable):
> 
> deja-dup-37.1-4.fc26.x86_64
> duplicity-0.7.17-2.fc26.x86_64
> deja-dup-37.1-4.fc26.x86_64
> 

 ... and deja-dup-nautilus-37.1-4.fc26.x86_64

Comment 2 Fedora Update System 2018-05-14 11:11:58 UTC
duplicity-0.7.17-2.fc26.1 deja-dup-37.1-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c028ea17b9

Comment 3 Fedora Update System 2018-05-14 18:41:20 UTC
deja-dup-37.1-5.fc26, duplicity-0.7.17-2.fc26.1 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c028ea17b9

Comment 4 Pete Walter 2018-05-15 13:07:04 UTC
Can you test and leave karma for the update please?

Comment 5 Rick 2018-05-15 13:52:08 UTC
Positive Karma left.

Comment 6 Pete Walter 2018-05-15 13:53:18 UTC
Thanks!

Comment 7 Fedora Update System 2018-05-15 20:00:41 UTC
deja-dup-37.1-5.fc26, duplicity-0.7.17-2.fc26.1 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.